> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post passwordreset for another

> In the case that another User has forgotten their password and does not have
the ability to manage their own password, or is unable to provide the correct Password Answer value
for the Forgot Password Question associated with their account, a User who has
permissions to manage the target User account password may reset the User account password
on behalf of that User. Once the User account password is reset, an email containing
a temporary password is sent to the contact email address of the reset User account.

The requesting User must have the following rights to perform this task:

The endpoint takes as a single POSTed value the String login of the User whose password will be reset.



## OpenAPI

````yaml /tango_reserve/integrations/guides/auth.yaml post /password/reset-for-another
openapi: 3.1.0
info:
  description: auth
  version: '2.0'
  title: Reserve Auth API
servers:
  - url: /auth/
security: []
tags:
  - name: ApplicationDomainService
    description: |-
      This service handles retrieving Authentication Domain values for an
      application.
  - name: ApplicationLoginService
    description: Handles application authentication.
  - name: LogoutService
    description: Provides user logout services.
  - name: UserLoginService
  - name: UserPasswordService
    description: Handles password managing.
paths:
  /password/reset-for-another:
    post:
      tags:
        - UserPasswordService
      description: >-
        In the case that another User has forgotten their password and does not
        have

        the ability to manage their own password, or is unable to provide the
        correct Password Answer value

        for the Forgot Password Question associated with their account, a User
        who has

        permissions to manage the target User account password may reset the
        User account password

        on behalf of that User. Once the User account password is reset, an
        email containing

        a temporary password is sent to the contact email address of the reset
        User account.


        The requesting User must have the following rights to perform this task:


        The endpoint takes as a single POSTed value the String login of the User
        whose password will be reset.
      operationId: resetPasswordForAnother
      parameters: []
      requestBody:
        description: ': String emailAddress of the user whose password is being reset.'
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  login: ...
            schema:
              $ref: '#/components/schemas/ResetAnothersPasswordLogin'
      responses:
        '201':
          content:
            application/json:
              schema:
                type: string
          description: A 204 success response
components:
  schemas:
    ResetAnothersPasswordLogin:
      type: object
      title: ResetAnothersPasswordLogin
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            login:
              type: string
      example:
        login: ...
    DependentData:
      type: object
      title: DependentData
      example: {}

````